/*
nome: motor 1.0v
author: Yago
ultima Atualização:  21 de fev 2018
funcionalidade: Responsavel por fazer o bloco de funcionamento dos modulos motores.
comentarios:
*/

#include "moduloMotor.h"



void moduloMotor::motorSetup(char port){

  switch(port){ // switch para converter os (0,1,2,3,4,5)->[A,B,C,D,E,F] a valores reais que correnspodem ao pinos do Arduino
      case 0: myServo.attach(PIN_A);portPin = PIN_A;break; // Habilita o PIN para saida pwm para o SERVO
      case 1: myServo.attach(PIN_B);portPin = PIN_B;break; // Habilita o PIN para saida pwm para o SERVO
      case 2: myServo.attach(PIN_C);portPin = PIN_C;break; // Habilita o PIN para saida pwm para o SERVO
      case 3: myServo.attach(PIN_D);portPin = PIN_D;break; // Habilita o PIN para saida pwm para o SERVO
      case 4: myServo.attach(PIN_E);portPin = PIN_E;break; // Habilita o PIN para saida pwm para o SERVO
   }

}

void moduloMotor::motorDirect(char sentido){

    myServo.attach(portPin);

    myServo.write(90);
    delayMicroseconds(100);

    if(sentido){//HORARIO
      myServo.write(180);

    }else{//ANTIHORARIO
      myServo.write(0);
    }

}

void moduloMotor::motorPause(void){

  if(myServo.attached()){
      myServo.detach();
  }
}
