/*
nome: configPorts 1.0v
author: Yago
ultima Atualização:  20 de fev 2018
funcionalidade: Responsavel por fazer o bloco de configuração dos ports do bloco
                Alpha, definir se aquele bloco é saida ou entrada. Nesse codigo você
                pode customizar os pinos dos bloco Alpha .
comentarios:  Ate então a unica aplicação desse codigo , é definir se vai ser usado
              o servo motor(Saida) ou o sensor Ultrasonic(Entrada).
*/
#ifndef MODULOMOTOR_h
#define MODULOMOTOR_h

#include <Arduino.h>
#include "servo.h"
#include "configPorts.h"

class moduloMotor // Class para definir o Port
{
  public:

    void motorSetup(char port);
    void motorDirect(char sentindo);
    void motorPause(void);

  private:

    Servo myServo;
    char portPin;

  };

#endif
