/*
nome: configPorts 1.0v
author: Yago
ultima Atualização:  20 de fev 2018
funcionalidade: Responsavel por fazer o bloco de configuração dos ports do bloco
                Alpha, definir se aquele bloco é saida ou entrada. Nesse codigo você
                pode customizar os pinos dos bloco Alpha .
comentarios:  Ate então a unica aplicação desse codigo , é definir se vai ser usado
              o servo motor(Saida) ou o sensor Ultrasonic(Entrada).
*/

#include "configPorts.h"

void Port::portMode(char port,bool level){
  switch(port){ // switch para converter os (0,1,2,3,4,5)->[A,B,C,D,E,F] a valores reais que correnspodem ao pinos do Arduino
      case 0: pinMode(PIN_A,level);break; // Escolhe se é entrada ou saida. def do <arduino.h> OUTPUT=1 , INPUT=0 ...
      case 1: pinMode(PIN_B,level);break; // Escolhe se é entrada ou saida
      case 2: pinMode(PIN_C,level);break; // Escolhe se é entrada ou saida
      case 3: pinMode(PIN_D,level);break; // Escolhe se é entrada ou saida
      case 4: pinMode(PIN_E,level);break; // Escolhe se é entrada ou saida
   }
}
