/*
nome: configPorts 1.0v
author: Yago
ultima Atualização:  20 de fev 2018
funcionalidade: Responsavel por fazer o bloco de configuração dos ports do bloco
                Alpha, definir se aquele bloco é saida ou entrada. Nesse codigo você
                pode customizar os pinos dos bloco Alpha .
comentarios:  Ate então a unica aplicação desse codigo , é definir se vai ser usado
              o servo motor(Saida) ou o sensor Ultrasonic(Entrada).
*/
#ifndef CONFIGPORTS_h
#define CONFIGPORTS_h

#include <Arduino.h>

class Port // Class para definir o Port
{
  public:
    // Defines para os pinos do Arduino associado aos Ports do bloco Alpha
    #define PIN_A 11  //Escolhe pino do Arduino para o porta A(Depende do hardware)
    #define PIN_B 9 //Escolhe pino do Arduino para o porta A(Depende do hardware)
    #define PIN_C 3  //Escolhe pino do Arduino para o porta A(Depende do hardware)
    #define PIN_D 5  //Escolhe pino do Arduino para o porta A(Depende do hardware)
    #define PIN_E 7  //Escolhe pino do Arduino para o porta A(Depende do hardware)

    #define PIN_A_IO 12
    #define PIN_B_IO 8
    #define PIN_C_IO 4
    #define PIN_D_IO 6
    #define PIN_E_IO 10

    void portMode(char,bool); // Função determina se port é entrada/saida

  private:

  };

#endif
