/*
nome: Ultrasonic 1.0v
author: Yago
ultima Atualização:  28 de fev 2018
funcionalidade: Responsavel pelos blocos do periferico do Ultrasonic.
comentarios:
*/

#include "ultrasonicBlock.h"
#define MEDIA_MOVEL 10

void UltrasonicClass::setup(char port){

    switch(port){ // switch para converter os (0,1,2,3,4,5)->[A,B,C,D,E,F] a valores reais que correnspodem ao pinos do Arduino
      case 0: portPin = PIN_A; trigPin = PIN_A_IO; break;
      case 1: portPin = PIN_B; trigPin = PIN_B_IO; break;
      case 2: portPin = PIN_C; trigPin = PIN_C_IO; break;
      case 3: portPin = PIN_D; trigPin = PIN_D_IO; break;
      case 4: portPin = PIN_E; trigPin = PIN_E_IO; break;
     }

}

float UltrasonicClass::distance(void){

  char i;
  float sum_distance = 0;

  for(i=0;i<MEDIA_MOVEL;i++){
           pinMode(trigPin,OUTPUT);
           digitalWrite(trigPin,LOW);
           delayMicroseconds(2);
           digitalWrite(trigPin,HIGH);
           delayMicroseconds(10);
           digitalWrite(trigPin,LOW);
           pinMode(portPin, INPUT);
           sum_distance += pulseIn(portPin,HIGH,30000)/58.0;
 }
   //valor = pulseIn(portPin,HIGH,30000)/58.0;
   //return averageUltrasom.average(valor);
   return sum_distance/MEDIA_MOVEL;

}
